> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/import/get-importfile-details.md).

# Get importfile details

Get importfile details

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Import","description":"Import"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"integrationToken":[]},{"accessToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"}},"responses":{"ImportFileDetailResponse":{"description":"Example response","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ImportFileDetailResponseSchema"},{"$ref":"#/components/schemas/ImportFileBasicResponseSchema"}]}}}}},"schemas":{"ImportFileDetailResponseSchema":{"title":"ImportFileResponseSchema","allOf":[{"$ref":"#/components/schemas/ImportFileResponseSchema"},{"type":"object","properties":{"base64Data":{"type":"string","description":"base64 encoded data of response.\nDeprecated: Use the download endpoint instead","deprecated":true}}}]},"ImportFileResponseSchema":{"title":"ImportFileResponseSchema","allOf":[{"$ref":"#/components/schemas/ImportFileBasicResponseSchema"},{"type":"object","required":["template"],"properties":{"template":{"$ref":"#/components/schemas/ImportTemplateResponseSchema"}}}]},"ImportFileBasicResponseSchema":{"title":"ImportFileBasicResponseSchema","type":"object","required":["importFileUid","createdBy","createdAt","lastModifiedBy","lastModifiedAt","state","filename","columnCount","rowCount","progressCount","errorCount","ignoredCount","estimatedRemainingTime","estimatedRemainingTimeText","totalTime","operation","errorMessage"],"properties":{"importFileUid":{"$ref":"#/components/schemas/UID"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"state":{"$ref":"#/components/schemas/ImportStateENUM"},"filename":{"type":"string"},"columnCount":{"type":"integer"},"rowCount":{"type":"integer","description":"header row is not counted"},"progressCount":{"type":"integer"},"errorCount":{"type":"integer"},"ignoredCount":{"type":"integer","description":"unprocessed rows"},"estimatedRemainingTime":{"type":"integer","description":"in hundreths of a second"},"estimatedRemainingTimeText":{"type":"string"},"totalTime":{"type":"integer","description":"in hundreths of a second"},"operation":{"$ref":"#/components/schemas/ImportOperationENUM"},"errorMessage":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ImportStateENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NOT_STARTED | Import not started |\n| IMPORT_IN_PROGRESS | Import is running |\n| IMPORT_ABORT | Import is aborting| \n| IMPORT_ABORTED | Import has been aborted |\n| VALIDATE_IN_PROGRESS | Validate is running| \n| COMPLETE_NOTHING_TO_IMPORT | Import is done, but there where nothing to import |\n| COMPLETE | Import complete |\n| VALIDATE_FAILED | Validate failed |\n| IMPORT_FAILED | Import failed |\n| IMPORT_ABORT | Import is aborting |\n| IMPORT_ABORTED | Import has been aborted  |\n| READY_TO_IMPORT | Validation OK, import is ready |\n","minLength":1,"title":"ImportStateENUM","type":"string","enum":["NOT_STARTED","COMPLETE","COMPLETE_NOTHING_TO_IMPORT","IMPORT_FAILED","IMPORT_ABORT","IMPORT_ABORTED","VALIDATE_FAILED","VALIDATE_ABORT","VALIDATE_ABORTED","IMPORT_IN_PROGRESS","VALIDATE_IN_PROGRESS","READY_TO_IMPORT"]},"ImportOperationENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| INSERT | Only insert non-existing records, existing records will be ignored|\n| UPDATE | Only update existing records, non-existing records will be ignored|\n| UPSERT | non-existing records will be inserted, existing records will be updated|\n","minLength":1,"title":"ImportOperationENUM","type":"string","enum":["INSERT","UPDATE","UPSERT"]},"ImportTemplateResponseSchema":{"title":"ImportTemplateResponseSchema","type":"object","required":["templateUid","name","description","createdBy","createdAt","lastModifiedBy","lastModifiedAt","layouts","entity","importFormat","fields"],"properties":{"templateUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"description":{"type":"string"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"layouts":{"type":"array","items":{"$ref":"#/components/schemas/ImportLayoutResponseSchema"}},"entity":{"$ref":"#/components/schemas/ImportEntityENUM"},"importFormat":{"$ref":"#/components/schemas/ImportFormatENUM"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/ImportFieldDefinitionSchema"}}}},"ImportLayoutResponseSchema":{"title":"ImportLayoutResponseSchema","allOf":[{"type":"object","properties":{"layoutUid":{"$ref":"#/components/schemas/UID"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"conversions":{"type":"array","items":{"$ref":"#/components/schemas/ImportConversionResponseSchema"}}},"required":["layoutUid","conversions","createdBy","createdAt","lastModifiedBy","lastModifiedAt"]},{"$ref":"#/components/schemas/ImportLayoutUpdateRequestSchema"}]},"ImportConversionResponseSchema":{"title":"ImportConversionResponseSchema","allOf":[{"type":"object","properties":{"conversionUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}},"required":["conversionUid","createdAt","createdBy","lastModifiedAt","lastModifiedBy"]},{"$ref":"#/components/schemas/ImportConversionUpdateRequestSchema"}]},"ImportConversionUpdateRequestSchema":{"title":"ImportConversionUpdateRequestSchema","type":"object","properties":{"fromValue":{"type":"string"},"toValue":{"type":"string"}},"required":["fromValue","toValue"]},"ImportLayoutUpdateRequestSchema":{"title":"ImportLayoutUpdateRequestSchema","type":"object","properties":{"fieldName":{"type":"string","description":"Entity field name in FlowRetail"},"value":{"type":"string","description":"Static value, or reference to field in import file.\n\nExample: For EXCEL import use `A` to get the value from column A"}},"required":["fieldName","value"]},"ImportEntityENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| PRODUCTS | Import products |\n| PRICES | Import prices|\n| PRODUCT_GROUPS | Import product groups |\n| BRANDS | Import brands|\n| CUSTOMERS | Import customers|\n| STOCK | Import stock values|\n| SUPPLIER_PRODUCT | Import Product supplier information|\n| SUPPLIERS | Import suppliers|","minLength":1,"title":"ImportEntityENUM","type":"string","enum":["PRODUCTS","PRICES","PRODUCT_GROUPS","BRANDS","CUSTOMERS","STOCK","SUPPLIER_PRODUCT","SUPPLIERS"]},"ImportFormatENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| EXCEL | XLS file |\n","minLength":1,"title":"ImportFormatENUM","type":"string","enum":["EXCEL"]},"ImportFieldDefinitionSchema":{"title":"ImportFieldDefinitionSchema","type":"object","required":["name","type","allowedValues","createUsage","updateUsage"],"properties":{"name":{"type":"string"},"type":{"type":"string"},"allowedValues":{"type":"array","items":{"type":"string"}},"createUsage":{"$ref":"#/components/schemas/ImportFieldUsageSchema"},"updateUsage":{"$ref":"#/components/schemas/ImportFieldUsageSchema"}}},"ImportFieldUsageSchema":{"title":"ImportFieldUsageSchema","type":"object","required":["usage","requiredExchangeableWith"],"properties":{"usage":{"$ref":"#/components/schemas/ImportFieldUsageENUM"},"requiredExchangeableWith":{"type":"array","description":"List of field names that can substitute this field. \nAt least one field in an exchangeable group must be mapped in the layout. \nEmpty array if the field is unconditionally required.","items":{"type":"string"}}}},"ImportFieldUsageENUM":{"title":"ImportFieldUsageENUM","type":"string","enum":["REQUIRED","OPTIONAL","UNAVAILABLE"]}}},"paths":{"/tenants/{tenantUid}/imports/files/{importFileUid}":{"get":{"description":"Get importfile details","operationId":"get-tenants-import-file-details","parameters":[{"schema":{"type":"boolean"},"in":"query","name":"light","description":"Set this to true to get a lighter version of the response, without the base64encoded version"}],"responses":{"200":{"$ref":"#/components/responses/ImportFileDetailResponse"}},"summary":"Get importfile details","tags":["Import"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/import/get-importfile-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
